// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.activeentityvalue;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.EntityValue;


/**
 * This interface represents an ActiveEntityValue. That
 * is, an EntityValue that does a bit of computation so that
 * it can return a value.
 * 
 * @author Matthew Farrellee
 *
 * @see org.datamanager.kernel.EntityValue
 */
public interface ActiveEntityValue extends EntityValue {
    /**
     * The computation that is required by this ActiveEntityValue
     * should be implemented in this method. The computation
     * must result in an EntityValue that is returned.
     *
     * @return The EntityValue generated by this ActiveEntityValue.
     */
    public abstract EntityValue getEntityValue() throws DataManagerException;
}