// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.clustering;

import org.datamanager.kernel.Entity;


/**
 * This interface defines operations over a set of related Entities.
 *
 * @author Team Helium
 * @version $Revision: 1.3 $
 */
public interface Cluster {
    Entity[] getEntities();

    String getName();

    void setName();

    void add(Entity a);

    void remove(Entity a);

    void addEntities(Entity[] entities);

    void removeEntities(Entity[] entities);
}

/*
 * $Log: Cluster.java,v $
 * Revision 1.3  2002/12/20 20:52:17  mliggett
 * Adding/modifying license tag on all source files.
 *
 * Revision 1.2  2002/12/06 11:54:40  alllee
 * Codebase style
 *
 * Revision 1.1  2002/12/05 06:51:10  alllee
 * Adding rudimentary interfaces for clustering (borrowed a lot of ideas from
 * Alek's Orukter code).  Major refactoring expected, and some basic
 * implementations should be coming soon to start farkin with that cool
 * TouchGraph stuff.  Rule.
 *
 */
