// For licensing, see: http://helium.knownspace.org/license.html

/**
 * EntityConstraint.java
 * 
 * Created 199909282027
 */
package org.datamanager.constraint;

import org.datamanager.constraint.Constraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;


/**
 * Constraints define a set of entities.  For any given entity,
 * a constraint's accepts method should return true if that 
 * Entity is a member of its set, and false if it doesn't.
 *
 * @author Matthew Farrellee
 */
public abstract interface EntityConstraint extends Constraint {
    /**
     * Matches all entities.
     */
    public static final EntityConstraint NONE = NoneEntityConstraint.getInstance();

    /**
     * Reports whether a given entity fits the set of Entities
     * defined by this constraint.
     */
    public abstract boolean accepts(Entity defendant)
                             throws DataManagerException;
}