// For licensing, see: http://helium.knownspace.org/license.html

/**
 * EntityEqualsConstraint.java
 *
 * Author: Benjamin Keil
 * Modified:
 *    Made it an AbstractEntityConstraint.
 *     -- Matt
 *    Ran it through JIndent and added javadoc.
 *     -- Matt 26 Dec 1999
 * 
 * Created 199910071619
 */
package org.datamanager.constraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.AbstractEntityConstraint;
import org.datamanager.kernel.Entity;


/**
 * Check to see if a given Entity is equal to another.
 *
 * @author Benjamin Keil
 */
public class EntityEqualsConstraint extends AbstractEntityConstraint {
    /**
     * The Entity to match.
     */
    private Entity match;

    /**
     * Create a new EntityEqualsConstraint.
     *
     * @param match Entity to match.
     */
    public EntityEqualsConstraint(Entity match) {
        this.match = match;
    }

    /**
     * Check whether the given Entity is the same as
     * the Entity specified in the constructor.
     *
     * @param defendant An Entity to check.
     *
     * @return Whether the two Entities are the same.
     */
    protected boolean describes(Entity defendant) throws DataManagerException {
        return match.equals(defendant);
    }
}