// For licensing, see: http://helium.knownspace.org/license.html

/**
 * EventConstraint.java
 * 
 * Created 199909282027
 */
package org.datamanager.constraint;

import org.datamanager.constraint.Constraint;

import org.datamanager.event.DataManagerEvent;

import org.datamanager.exception.DataManagerException;


/**
 * Constraints define a set of events.  For any given event, a
 * constraint's accepts() method should return true if that
 * event is a member of its set, and false if it is not.
 *
 * @author Matthew Farrellee
 */
public abstract interface EventConstraint extends Constraint {
    /**
     * Matches all events.
     */
    public static final EventConstraint NONE = NoneEventConstraint.getInstance();

    /**
     * Reports whether a given event fits the set of events defined by
     * this constraint.
     */
    public abstract boolean accepts(DataManagerEvent defendant)
                             throws DataManagerException;
}