// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.DataManagerEvent;

import org.datamanager.kernel.Entity;


/**
 * This marker interface is the mother of all
 * events that contain references to Entities, generated anywhere within the
 * system.  
 *
 * In addition to being a type marker interface, ContainsEntityEvent declares
 * a getEntity() method.
 * Implementing classes need to provide:
 * public EventGenerator getSource()
 * public long getTime()
 * public String toString()
 * public Entity getEntity()
 *
 *
 * @author Team Helium
 * @version $Revision: 1.2 $
 */
public interface ContainsEntityEvent extends DataManagerEvent {
    public Entity getEntity();
} // ContainsEntityEvent
