// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.kernel.EntityValue;
import org.datamanager.kernel.EventGenerator;


/**
 * This interface is the mother of all events
 * within the <code>DataManager</code>.
 *
 * @author Matthew Farrellee
 */
public interface DataManagerEvent extends EntityValue {
    /**
     * Report the object generating the event.
     */
    public abstract EventGenerator getSource();

    /**
     * Report the time the event occurred (in milliseconds).
     */
    public abstract long getTime();

    /**
     * Report a <code>String</code> representation of the event.
     */
    public abstract String toString();
}