// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.DataManagerEventAdapter;
import org.datamanager.event.RequestEvent;

import org.datamanager.kernel.EventGenerator;


/**
 * This event is used to notify any interested parties that the user wishes to
 * configure their email parameters (username, password, host machine, mailbox
 * name, access protocol).  Handlers of this request are responsible for
 * firing EmailParametersEnteredCollectorEvent-s after receiving user input.
 *
 * @author Team Helium
 * @version $Revision: 1.4 $
 */
public class EmailConfigurationRequestEvent extends DataManagerEventAdapter
    implements RequestEvent {
    public EmailConfigurationRequestEvent(EventGenerator source) {
        super(source);
    }

    public String toString() {
        return "EmailConfigurationRequestEvent [" + "[source: " + source + 
               "] [time: " + time + "]" + "]";
    }
} // EmailConfigurationRequestEvent
/*
 * $Log: EmailConfigurationRequestEvent.java,v $
 * Revision 1.4  2002/12/20 20:52:24  mliggett
 * Adding/modifying license tag on all source files.
 *
 * Revision 1.3  2002/11/16 09:22:09  alllee
 * codebase-style, fixed/cleaned javadocs, and added implements RequestEvent type
 * marker.
 *
 */
