// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.DataManagerEventAdapter;
import org.datamanager.event.RequestEvent;

import org.datamanager.kernel.EventGenerator;


/** 
 * This event is used to notify any interested parties that email parameters
 * (username, password, host machine, mailbox, access protocol) have been
 * requested.  Handlers of this request are responsible for firing a
 * EmailParametersEnteredCollectorEvent containing the relevant email
 * information or passing the request along.
 *
 * @author Team Helium
 * @version $Revision: 1.4 $
 */
public class EmailParametersRequestEvent extends DataManagerEventAdapter
    implements RequestEvent {
    public EmailParametersRequestEvent(EventGenerator source) {
        super(source);
    }

    /**
     * A toString() method to provide a meaningful <code>String</code>
     * representation of this event.
     *
     * @return A meaningful <code>String</code> representation
     *         of this event.
     */
    public String toString() {
        return "EmailParametersRequestEvent[[source: " + source + 
               "] [time: " + time + "]]";
    }
}

/*
 * $Log: EmailParametersRequestEvent.java,v $
 * Revision 1.4  2002/12/20 20:52:24  mliggett
 * Adding/modifying license tag on all source files.
 *
 * Revision 1.3  2002/11/16 09:22:09  alllee
 * codebase-style, fixed/cleaned javadocs, and added implements RequestEvent type
 * marker.
 *
 */
