// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.KernelEvent;


/**
 * This marker interface is the mother of all
 * events generated from within an
 * <code>EventGenerator</code>.
 *
 * This is just a marker interface. It specifies
 * no unique methods of its own.
 * It does however extend <code>KernelEvent<code>
 * and therefore requires:
 * public EventGenerator getSource()
 * public long getTime()
 * public String toString()
 *
 * @author Matthew Farrellee
 */
public interface EventGeneratorEvent extends KernelEvent {
}