// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.DataManagerEventAdapter;
import org.datamanager.event.RequestEvent;

import org.datamanager.kernel.EventGenerator;


/**
 * Events of this class are handled by the KernelShutdownSimpleton, which
 * performs any cleanup necessary before shutting down the entire system.
 *
 * FIXME: Perhaps this event should have some sort of priority?
 */
public class KernelShutdownRequestEvent extends DataManagerEventAdapter
    implements RequestEvent {
    public KernelShutdownRequestEvent(EventGenerator source) {
        super(source);
    }

    public String toString() {
        return "KernelShutdownEvent[[source: " + source + "]" + "[time: " + 
               time + "]]";
    }
}