// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import java.net.URL;

import org.datamanager.event.DataManagerEventAdapter;

import org.datamanager.kernel.EventGenerator;


/**
 * Event fired when a Simpleton requests that a URL be
 * launched.
 *
 * @author Team Helium
 * @version $Revision: 1.2 $
 */
public class LaunchBrowserWithURLEvent extends DataManagerEventAdapter {
    /** The URL we are asked to launch. */
    private URL url;
    private EventGenerator source;

    public LaunchBrowserWithURLEvent(EventGenerator source, URL url) {
        super(source);
        this.source = source;
        this.url = url;
    }

    public URL getURL() {
        return url;
    }

    public String toString() {
        return "LaunchBrowserWithURLEvent [" + "[source: " + source + 
               "] [URL: " + url + "]" + "]";
    }
}

/*
 * 
 * $Log: LaunchBrowserWithURLEvent.java,v $
 * Revision 1.2  2002/12/20 20:52:25  mliggett
 * Adding/modifying license tag on all source files.
 *
 * Revision 1.1  2002/11/14 02:46:06  cjdent
 *
 * Adding the LaunchBrowserWithURLEvent, heard by BrowserLauncherSimpleton,
 * and the test class of it. The Event encapsulates a URL that travels with it.
 *
 *
 */
