// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.EntityEvent;


/**
 *
 * This marker interface is the mother of all
 * events generated from within an
 * <code>Entity</code> that are related to
 * that <code>Entity</code>'s links.
 *
 * This is just a marker interface. It specifies
 * no unique methods of its own.
 * It does however extend <code>EntityEvent<code> and
 * therefore requires:
 * public EventGenerator getSource()
 * public long getTime()
 * public String toString()
 *
 * @author Matthew Farrellee
 */
public interface LinkEvent extends EntityEvent {
}