// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.DataManagerEventAdapter;
import org.datamanager.event.RequestEvent;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.EventGenerator;


/**
 * This event indicates that the user has requested the transport of 
 * newly composed email message.
 *
 */
public class SMTPSendRequestEvent extends DataManagerEventAdapter
    implements RequestEvent, ContainsEntityEvent {
    private Entity message;

    /**
     * Create a new EmailDisplayRequestEvent.
     *
     * @param message the Entity containing the message to display
     */
    public SMTPSendRequestEvent(EventGenerator source, Entity message) {
        super(source);
        this.message = message;
    }

    /**
     * Get the Entity that contains the message to display.
     */
    public Entity getEntity() {
        return message;
    }

    public String toString() {
        return "(SMTPSendRequestEvent (message " + message + "))";
    }
}

/*
 * $Log: SMTPSendRequestEvent.java,v $
 * Revision 1.2  2002/12/20 20:52:25  mliggett
 * Adding/modifying license tag on all source files.
 *
 * Revision 1.1  2002/11/19 05:24:24  cjdent
 *
 * An event fired by the BasicEmailReplySimpleton requesting that the
 * contained message entity be sent over SMTP. Needs an SMTPSendSimpleton,
 * which does not yet exist.
 *
 *
 */
