// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.DataManagerEventAdapter;
import org.datamanager.event.RequestEvent;

import org.datamanager.kernel.EventGenerator;


/**
 * Event fired whenever a Simpleton has started to retrieve email.
 *
 * @author Team Helium
 * @version $Revision: 1.3 $
 */
public class StartedRetrievingEmailEvent extends DataManagerEventAdapter {
    /** Desrciption of the mailbox we're currently retrieving from. */
    private String description;

    public StartedRetrievingEmailEvent(EventGenerator source, 
                                       String description) {
        super(source);

        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public String toString() {
        return "StartedRetrievingEmailEvent [" + "[source: " + source + 
               "] [description: " + description + "]" + "]";
    }
} // StartedRetrievingEmailEvent
/*
 * 
 * $Log: StartedRetrievingEmailEvent.java,v $
 * Revision 1.3  2002/12/20 20:52:26  mliggett
 * Adding/modifying license tag on all source files.
 *
 * Revision 1.2  2002/11/13 08:26:14  cjdent
 *
 * Codebase style.
 *
 * We need to decide if it is in or out. Most people don't seem to be
 * running codebase style before they commit.
 *
 * Revision 1.1  2002/11/11 01:58:26  mliggett
 * Added StartedRetrievingEmailEvent and StoppedRetrievingEmailEvent, and also unit
 * tests for both.
 *
 * Added code to fire these events inside EmailRetrieverSimpleton when we
 * start/stop retrieving email (duh).
 *
 *
 */
