// For licensing, see: http://helium.knownspace.org/license.html
//
//Modified (10/10/2002): maa
//1) Cleaned up the JavaDoc a bit.
//
package org.datamanager.kernel;

import org.datamanager.event.DataManagerEvent;


/**
 * EventHandlers can handle events.  Their natural collaborators are
 * EventGenerators, to which they can subscribe using a constraint to identify
 * the events that interest them.
 *
 * @author Matthew Farrellee
 * @author Benjamin Keil
 */
public interface EventHandler {
    /**
     * Handle a DataManagerEvent that has been fired.
     *
     * @param event The event to handle.
     */
    public abstract void handle(DataManagerEvent event);
}