// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.passiveentityvalue;

import org.datamanager.passiveentityvalue.PassiveEntityValue;


/**
 * An EntityValue holding a Boolean object.
 *
 */
public class BooleanEntityValue implements PassiveEntityValue {
    public static final BooleanEntityValue TRUE = new BooleanEntityValue(true);
    public static final BooleanEntityValue FALSE = new BooleanEntityValue(false);
    private Boolean bool;

    public BooleanEntityValue() {
    }

    public BooleanEntityValue(boolean value) {
        bool = new Boolean(value);
    }

    public BooleanEntityValue(String s) {
        bool = new Boolean(s);
    }

    public boolean booleanValue() {
        return bool.booleanValue();
    }

    public boolean equals(Object obj) {
        try {
            BooleanEntityValue value = (BooleanEntityValue) obj;

            return (value != null) && 
                   (bool.booleanValue() == value.booleanValue());
        } catch (ClassCastException wrongType) {
            return false;
        }
    }

    public static boolean getBoolean(String name) {
        return Boolean.getBoolean(name);
    }

    public int hashCode() {
        return bool.hashCode();
    }

    public String toString() {
        if (bool.booleanValue()) {
            return "BooleanEntityValue.TRUE";
        } else {
            return "BooleanEntityValue.FALSE";
        }
    }

    public static Boolean valueOf(String s) {
        return Boolean.valueOf(s);
    }
}