// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.passiveentityvalue;

/**
 * An EntityValue wrapping an array of bytes.
 *
 * @author Matthew Farrellee <mafarrel@cs.indiana.edu>
 */
public class ByteArrayEntityValue implements PassiveEntityValue {
    private byte[] bytes;

    public ByteArrayEntityValue() {
    }

    public ByteArrayEntityValue(byte[] bytes) {
        this.bytes = bytes;
    }

    public byte[] getBytes() {
        return this.bytes;
    }

    public boolean equals(Object object) {
        boolean same = false;

        try {
            ByteArrayEntityValue other = (ByteArrayEntityValue) object;

            if (other != null) {
                byte[] otherBytes = other.getBytes();

                if (this.bytes.length == otherBytes.length) {
                    for (int index = 0; index < otherBytes.length; index++) {
                        if (this.bytes[index] != otherBytes[index]) {
                            break;
                        }
                    }


                    // It made is through the entire array...
                    same = true;
                }
            }
        } catch (ClassCastException wrongType) {
            same = false;
        }

        return same;
    }

    public static boolean getBoolean(String name) {
        return Boolean.getBoolean(name);
    }

    public int hashCode() {
        // FIXME: make this better!
        return bytes.length;
    }
}