// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.passiveentityvalue;

import java.awt.Rectangle;


/**
 * The GuiLayoutEntityValue will keep the Layout of each JPanel in the EmailGuiCollectorSimpletion
 *
 * @author Team Helium
 * @version $Revision: 1.7 $
 */
public class GuiLayoutEntityValue implements PassiveEntityValue {
    private Rectangle bound;
    private String name;

    /**
     * constructor: build the GridLayoutEntityValue with bound(Rectangle to represent the layout's
     * position and size.
     */
    public GuiLayoutEntityValue(Rectangle bound, String name) {
        this.bound = bound;
        this.name = name;
    }

    /**
     * change the value -- bound
     */
    public void setBound(Rectangle bound) {
        this.bound = bound;
    }

    /**
     * report the bound
     */
    public Rectangle getBound() {
        return bound;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    /**
     * report the wheather two GuiLayoutEntityValue is equal inlcude position and size
     */
    public boolean equal(Object object) {
        if (this == object) {
            return true;
        } else if ((object == null) || (getClass() != object.getClass())) {
            return false;
        }

        Rectangle other = (Rectangle) object;

        boolean equality = bound.equals(other);

        return equality;
    }

    /**
     *  report the position(x,y) and width and height
     */
    public String toString() {
        return "entity value name: " + name + " position-x[" + bound.getX() + 
               "] " + "position-Y[" + bound.getY() + "] " + "width=" + 
               bound.getWidth() + "]" + " height=" + bound.getHeight() + "]";
    }
}