// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.passiveentityvalue;

import org.datamanager.kernel.Simpleton;


/**
 * An EntityValue that represents a Simpleton that can be
 * loaded by encapsulating a Simpleton.Information.aof the
 */
public class LoadableSimpletonEntityValue implements PassiveEntityValue {
    private Simpleton.Information information;

    public LoadableSimpletonEntityValue(Simpleton.Information information) {
        this.information = information;
    }

    public Simpleton.Information getInformation() {
        return this.information;
    }

    public int hashCode() {
        return information.hashCode();
    }

    public boolean equals(Object object) {
        boolean isEqual = false;

        if (object instanceof LoadableSimpletonEntityValue) {
            isEqual = ((LoadableSimpletonEntityValue) object).getInformation()
                                                           .equals(information);
        }

        return isEqual;
    }
}