// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.passiveentityvalue;

import org.datamanager.passiveentityvalue.PassiveEntityValue;


/**
 * This class encapsulates the String representation of a
 * password.  This may later serve as a place to provide
 * even better security.
 *
 * Created: Thu Nov  7 01:24:28 2002
 *
 * @author <a href="mailto:rwgeorge@cs.indiana.edu">Robert W. George</a>
 * @author <a href="mailto:alllee@cs.indiana.edu">Allen Lee</a>
 * @version $Revision: 1.3 $
 *
 */
public class PasswordEntityValue implements PassiveEntityValue {
    //  The password in it's String form.
    private String password;

    /**
     * Constructs a PasswordEntityValue with the given String.
     *
     * @param String
     */
    public PasswordEntityValue(String password) {
        this.password = password;
    }

    /**
     * Gets this PasswordEntityValue's password.
     *
     * @return String
     */
    public String getPassword() {
        return this.password;
    }

    /**
     * Checks if this PasswordEntityValue's are the same as the supplied one.
     *
     * @param Object The possible PasswordEntityValue that will be checked.
     * @return boolean
     */
    public boolean equals(Object object) {
        return (object instanceof PasswordEntityValue) && 
               this.getPassword().equals((PasswordEntityValue) object);
    }

    /**
     * Makes a hashcode.
     *
     * @return int the hashcode
     */
    public int hashCode() {
        return this.getPassword().hashCode();
    }
} // PasswordEntityValue
