// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.persistence.serializable;

// FIXME: * imports bad
import java.io.*;

import org.datamanager.persistence.DataAccessObject;


/**
 * Implements DataAccessObject persistence using JISP.
 */
public class JispIndexDataAccessObject implements DataAccessObject {
    public void persist(Object object, File file) {
        try {
            persist(object, new FileOutputStream(file));
        } catch (FileNotFoundException exception) {
            exception.printStackTrace();
            throw new RuntimeException(exception);
        }
    }

    public Object restore(File fileLocation) {
        Object result = null;

        try {
            result = restore(new FileInputStream(fileLocation));
        } catch (FileNotFoundException exception) {
            exception.printStackTrace();
            throw new RuntimeException(exception);
        }

        return result;
    }

    public void persist(Object object, OutputStream outputStream) {
        try {
            (new ObjectOutputStream(outputStream)).writeObject(object);
        } catch (IOException exception) {
            exception.printStackTrace();
            throw new RuntimeException(exception);
        }
    }

    public Object restore(InputStream inputStream) {
        Object result = null;

        try {
            result = (new ObjectInputStream(inputStream)).readObject();
        } catch (IOException exception) {
            exception.printStackTrace();
            throw new RuntimeException(exception);
        } catch (ClassNotFoundException exception) {
            exception.printStackTrace();
            throw new RuntimeException(exception);
        }

        return result;
    }
}