// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.simpleton;

import org.datamanager.passiveentityvalue.EmailParametersEntityValue;


public class EmailParameters {
    private String username;
    private String password;
    private String hostMachineName;
    private String accessProtocolName;
    private String mailboxName;
    private String fromAddress;
    private String SMTPHost;

    public EmailParameters(EmailParametersEntityValue emailParametersEntityValue) {
        this(emailParametersEntityValue.getUsername(), 
             emailParametersEntityValue.getPasswordEntityValue().getPassword(), 
             emailParametersEntityValue.getHostMachineName(), 
             emailParametersEntityValue.getAccessProtocolName(), 
             emailParametersEntityValue.getMailboxName(), 
             emailParametersEntityValue.getFromAddress(), 
             emailParametersEntityValue.getSMTPHost());
    }

    public EmailParameters(String username, String password, 
                           String hostMachineName, String accessProtocolName, 
                           String mailboxName, String fromAddress, 
                           String SMTPHost) {
        this.username = username;
        this.password = password;
        this.hostMachineName = hostMachineName;
        this.accessProtocolName = accessProtocolName;
        this.mailboxName = mailboxName;
        this.fromAddress = fromAddress;
        this.SMTPHost = SMTPHost;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

    public String getHostMachineName() {
        return hostMachineName;
    }

    public String getAccessProtocolName() {
        return accessProtocolName;
    }

    public String getMailboxName() {
        return mailboxName;
    }

    public String getFromAddress() {
        return fromAddress;
    }

    public String getSMTPHost() {
        return SMTPHost;
    }

    public String toString() {
        return getAccessProtocolName() + "://" + getUsername() + "@" + 
               getHostMachineName() + "/" + getMailboxName();
    }
}