// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.simpleton;

import java.awt.Component;
import java.awt.Container;
import java.awt.GridBagConstraints;


/**
  * Helper class for adding Components to a Container with a GridBagLayout.
  */
class LayoutHelper {
    /** The constraints for the GridBagLayout. */
    GridBagConstraints constraints;

    /** The container into which this ConstraintHelper places Components. */
    Container container;

    private LayoutHelper() {
    }

    /**
     * Creates a new ConstraintHelper using the specified constraints and
     * placing objects into the specified container.
     */
    public LayoutHelper(GridBagConstraints constraints, Container container) {
        this.constraints = constraints;
        this.container = container;
    }

    /**
     * Adds this component to the container with the specified
     * constraints.
     */
    public void add(Component component, int fill, int gridx, int gridy, 
                    double weightx, int gridwidth) {
        constraints.fill = fill;
        constraints.gridx = gridx;
        constraints.gridy = gridy;
        constraints.weightx = weightx;
        constraints.gridwidth = gridwidth;

        container.add(component, constraints);
    }

    /**
     * Adds this component to the container with the specified
     * constraints.
     */
    public void add(Component component, int fill, int gridx, int gridy, 
                    double weightx, double weighty, int gridwidth, 
                    int gridheight) {
        constraints.weightx = weightx;
        constraints.weighty = weighty;
        constraints.gridwidth = gridwidth;
        constraints.gridheight = gridheight;
        constraints.gridx = gridx;
        constraints.gridy = gridy;
        constraints.fill = fill;

        container.add(component, constraints);
    }
}