// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.simpleton;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Simpleton;

import org.datamanager.simpleton.WebPageDownloadSimpleton;
import org.datamanager.simpleton.WebParsingSimpleton;
import org.datamanager.simpleton.WebSearchSimpleton;


/**
 * A collector simpleton for starting Simpletons used for 
 * downloading web pages and doing searches of the web.
 */
public class WebCollectorSimpleton extends Simpleton {
    public void process() {
        WebSearchSimpleton search = new WebSearchSimpleton();
        WebParsingSimpleton parser = new WebParsingSimpleton();
        WebPageDownloadSimpleton download = new WebPageDownloadSimpleton();

        search.start();
        parser.start();
        download.start();
    }
}