// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.tools;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Simpleton;


/**
 * Provides a framework for managing JUnit tests that 
 * require a Simpleton (for the thread).
 *
 * FIXME: This need to be turned into a tutorial.
 */
public class JUnitTesterUtility {
    public static void runTest(final KnownSpaceTest test)
                        throws DataManagerException {
        Simpleton worker = new Simpleton() {
            public void process() {
                try {
                    test.test();
                    synchronized (this) {
                        this.notify();
                    }
                } catch (Exception exception) {
                    TestCase.fail(exception.toString());
                }
                synchronized (this) {
                    this.notify();
                }
            }
        };
        synchronized (worker) {
            worker.start();

            try {
                worker.wait();
            } catch (InterruptedException exception) {
                TestCase.fail(exception.toString());
            }
        }
    }

    /**
     * Abstract class holding the test() method required
     * by the JUnitTesterUtility.
     */
    public static abstract class KnownSpaceTest {
        public abstract void test() throws Exception;
    }
}