// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.tools.kernelproxy;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.Pool;


/**
 * Adds an entity the kernel's pool.
 * <strong>Note: This thread will only work when run within the kernel on an 
 * approved thread.</strong>
 *
 * @author Gordon Murphy
 * @author Bryan Dawson
 */
public class AddEntityWorker extends InterfaceWorker {
    /** The entity to be added. */
    private Entity entity;

    /**
    * Creates a new Worker with the given entity
    * @param entity the entity to add to the pool.
    */
    public AddEntityWorker(Entity entity) {
        this.entity = entity;
    }

    /**
     * Adds this entity to the default pool
     */
    protected Object construct() throws DataManagerException {
        Pool.getDefaultPool().add(entity);

        return null;
    }
}

/*
 *
 * $Log
 *
 */
