// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.tools.kernelproxy;

import org.datamanager.event.DataManagerEvent;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.Pool;


////////////////////////////////////////////////////////////////////////////////

/**
 * Adds an event to the Kernel's pool.
 * <strong>Note: This thread will only work when run within the kernel on an 
 * approved thread.</strong>
 *
 * @author Gordon Murphy
 * @author Bryan Dawson
 */
public class AddEventWorker extends InterfaceWorker {
    private DataManagerEvent event;

    /**
    * Adds a new event to the pool.
    * @param the event to add
    */
    public AddEventWorker(DataManagerEvent event) {
        this.event = event;
    }

    protected Object construct() throws DataManagerException {
        Pool.getDefaultPool().add(event);

        return null;
    }
}

/*
 *
 * $Log
 *
 */
