// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.tools.kernelproxy;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;


/**
 * Attaches an entity as an attribute to another entity.
 * <strong>Note: This thread will only work when run within the kernel on an 
 * approved thread.</strong>
 */
public class AttachEntityWorker extends InterfaceWorker {
    /** The base Entity to which an attribute is added. */
    private Entity base;

    /** The attribute Entity to add to a base. */
    private Entity attribute;

    /**
    * Attaches attribute as an attribute to base
    * @param base the base entity that will receive the attribute
    * @param attribute the entity that will attach itself
    */
    public AttachEntityWorker(Entity base, Entity attribute) {
        this.base = base;
        this.attribute = attribute;
    }

    protected Object construct() throws DataManagerException {
        base.attach(attribute);

        return null;
    }
}

/*
 *
 * $Log
 *
 */
