// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.tools.kernelproxy;

import org.datamanager.constraint.EntityConstraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;


/**
 * Retrieves all the attributes of an entity matching a given constraint.
 * A call to get() will retrieve the Entity[] as an Object.
 * <strong>Note: This thread will only work when run within the kernel on an 
 * approved thread.</strong>
 */
public class GetAttributesWorker extends InterfaceWorker {
    /** The Entity that has attributes being searched. */
    private Entity entity;

    /** The constrain for the search. */
    private EntityConstraint constraint;

    /**
    * Creates a worker to get all the attributes of an entity.
    * @param entity the entity to get the attributes of
    * @param constraint the constraint to match
    */
    public GetAttributesWorker(Entity entity, EntityConstraint constraint) {
        this.entity = entity;
        this.constraint = constraint;
    }

    /**
     * Gets the attributes on entity that match constraint.
     *
     * @return An array of Entities.
     */
    protected Object construct() throws DataManagerException {
        Entity[] entities = null;

        entities = entity.getAttributes(constraint);

        return entities;
    }
}

/*
 *
 * $Log
 *
 */
