// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.tools.kernelproxy;

import org.datamanager.constraint.EntityConstraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;


/**
 * Retrieves all the bases of an entity matching a given constraint.
 * A call to get() will retrieve the Entity[] as an Object.
 * <strong>Note: This thread will only work when run within the kernel on an 
 * approved thread.</strong>
 */
public class GetBasesWorker extends InterfaceWorker {
    /** The Entity that is searched. */
    private Entity entity;

    /** The constraint used to search. */
    private EntityConstraint constraint;

    /**
    * Creates a worker to get all the bases of an entity.
    * @param entity the entity to get the bases of
    * @param constraint the constraint to match
    */
    public GetBasesWorker(Entity entity, EntityConstraint constraint) {
        this.entity = entity;
        this.constraint = constraint;
    }

    /**
     * Gets the bases on entity.
     *
     * @return An array of Entities
     */
    protected Object construct() throws DataManagerException {
        Entity[] entities = null;

        entities = entity.getBases(constraint);

        return entities;
    }
}

/*
 *
 * $Log
 *
 */
