// For licensing, see: http://helium.knownspace.org/license.html
//////////////////////////////////////////////////////////////
package org.datamanager.tools.kernelproxy;

import org.datamanager.constraint.EntityConstraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.Pool;

import org.datamanager.tools.EntityList;


/**
 * Searches for entities matching the given constraint
 * A call to get() will retrieve the EntityList as an Object.
 * <strong>Note: This thread will only work when run within the kernel on an 
 * approved thread.</strong>
 */
public class SearchWorker extends InterfaceWorker {
    /** The constraint for searching. */
    private EntityConstraint constraint;

    /**
     * Creates a worker to search for all the entities matching the constraint
     * @param constraint the constraint to match
     */
    public SearchWorker(EntityConstraint constraint) {
        this.constraint = constraint;
    }

    /**
     * Searches the pool and returns an EntityList of the matches.
     */
    protected Object construct() throws DataManagerException {
        EntityList list = null;

        Entity[] entities = Pool.getDefaultPool().search(constraint);
        list = new EntityList(entities);

        return list;
    }
}

/*
 *
 * $Log
 *
 */
