// For licensing, see: http://helium.knownspace.org/license.html
//////////////////////////////////////////////////////////////
package org.datamanager.tools.kernelproxy;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.EntityValue;
import org.datamanager.kernel.Pool;


/**
 * Sets the value of an entity to an EntityValue.
 * <strong>Note: This thread will only work when run within the kernel on an 
 * approved thread.</strong>
 */
public class SetEntityValueWorker extends InterfaceWorker {
    /** The Entity on which this sets a value. */
    private Entity entity;

    /** The EntityValue being set. */
    private EntityValue value;

    /**
     * Creates a worker to set the value of an entity
     * @param entity the entity to have its value changed
     * @param value the value the entity will be set to
     */
    public SetEntityValueWorker(Entity entity, EntityValue value) {
        this.entity = entity;
        this.value = value;
    }

    /**
     * Sets the EntityValue of entity.
     */
    protected Object construct() throws DataManagerException {
        entity.setValue(value);

        return null;
    }
}

/*
 *
 * $Log
 *
 */
