// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.clustering.matrix.DocumentTermMatrixImplTester;

import org.datamanager.constraint.DateValueRangeConstraintTester;
import org.datamanager.constraint.StringValueMatchesConstraintTester;

import org.datamanager.event.EmailDisplayRequestEventTester;
import org.datamanager.event.EmailReplyRequestEventTester;
import org.datamanager.event.LaunchBrowserWithURLEventTester;
import org.datamanager.event.StartedRetrievingEmailEventTester;
import org.datamanager.event.StoppedRetrievingEmailEventTester;

import org.datamanager.kernel.AndEntityConstraintTester;
import org.datamanager.kernel.AttributeNameContainsConstraintTester;
import org.datamanager.kernel.AttributeNameEqualsConstraintTester;
import org.datamanager.kernel.AttributeStringMatchConstraintTester;
import org.datamanager.kernel.CachingProxyEntityManagerTester;
import org.datamanager.kernel.DataManagerWorkerTester;
import org.datamanager.kernel.EntityTester;
import org.datamanager.kernel.EventGeneratorAssistantTester;
import org.datamanager.kernel.EventHandlerThreadTester;
import org.datamanager.kernel.IdentifierManagerTester;
import org.datamanager.kernel.JispEntityManagerTester;
import org.datamanager.kernel.KernelMemoryTester;
import org.datamanager.kernel.OrEntityConstraintTester;
import org.datamanager.kernel.PoolTester;
import org.datamanager.kernel.RecursiveOrEntityConstraintTester;
import org.datamanager.kernel.SimpletonListTester;
import org.datamanager.kernel.SimpletonTester;
import org.datamanager.kernel.SuaveEntityManagerTester;
import org.datamanager.kernel.ValueClassIsConstraintTester;
import org.datamanager.kernel.ValueEqualsConstraintTester;

import org.datamanager.passiveentityvalue.StringEntityValueTester;
import org.datamanager.passiveentityvalue.WordFrequencyMapEntityValueTester;

import org.datamanager.persistence.SerializableDataAccessObjectTester;

import org.datamanager.simpleton.EmailMessageEntityHelperTester;

import org.datamanager.tools.ToolboxTester;


/**
 * Master testing class for KnownSpace.
 */
public class TestMaster extends TestCase {
    public TestMaster(String string) {
        super(string);
    }

    public static Test suite() {
        TestSuite suite = new TestSuite();


        // Add new test classes here to make them show up in the GUI TestRunner.
        suite.addTest(WordFrequencyMapEntityValueTester.suite());
        suite.addTest(EmailDisplayRequestEventTester.suite());
        suite.addTest(AndEntityConstraintTester.suite());
        suite.addTest(AttributeNameContainsConstraintTester.suite());
        suite.addTest(AttributeNameEqualsConstraintTester.suite());
        suite.addTest(AttributeStringMatchConstraintTester.suite());
        suite.addTest(DataManagerWorkerTester.suite());
        suite.addTest(EntityTester.suite());
        suite.addTest(EventGeneratorAssistantTester.suite());
        suite.addTest(EventHandlerThreadTester.suite());
        suite.addTest(IdentifierManagerTester.suite());
        suite.addTest(OrEntityConstraintTester.suite());
        suite.addTest(PoolTester.suite());
        suite.addTest(RecursiveOrEntityConstraintTester.suite());
        suite.addTest(SimpletonListTester.suite());
        suite.addTest(SimpletonTester.suite());
        suite.addTest(ValueClassIsConstraintTester.suite());
        suite.addTest(ValueEqualsConstraintTester.suite());
        suite.addTest(StringEntityValueTester.suite());
        suite.addTest(SerializableDataAccessObjectTester.suite());
        suite.addTest(StartedRetrievingEmailEventTester.suite());
        suite.addTest(StoppedRetrievingEmailEventTester.suite());
        suite.addTest(EmailReplyRequestEventTester.suite());
        suite.addTest(LaunchBrowserWithURLEventTester.suite());
        suite.addTest(EmailMessageEntityHelperTester.suite());
        suite.addTest(StringValueMatchesConstraintTester.suite());
        suite.addTest(DateValueRangeConstraintTester.suite());
        suite.addTest(KernelMemoryTester.suite());
        suite.addTest(SuaveEntityManagerTester.suite());
        suite.addTest(ToolboxTester.suite());
        suite.addTest(JispEntityManagerTester.suite());
        suite.addTest(CachingProxyEntityManagerTester.suite());
        suite.addTest(DocumentTermMatrixImplTester.suite());

        return suite;
    }
}