// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.constraint.EventConstraint;

import org.datamanager.event.EmailDisplayRequestEvent;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.EventGenerator;
import org.datamanager.kernel.EventHandler;


public class EmailDisplayRequestEventTester extends TestCase {
    EmailDisplayRequestEvent event;
    Entity message;

    /**
     * A useless EventGenerator.  We just need this to call the
     * EmailDisplayRequestEvent constructor.
     */
    EventGenerator eventGenerator = new EventGenerator() {
        public void subscribe(EventHandler handler, EventConstraint constraint)
                       throws DataManagerException {
        }

        public void unsubscribe(EventHandler handler)
                         throws DataManagerException {
        }
    };

    public EmailDisplayRequestEventTester(String string) {
        super(string);
    }

    public static Test suite() {
        return new TestSuite(EmailDisplayRequestEventTester.class);
    }

    public void setUp() {
        try {
            message = Entity.create("ooga booga");
        } catch (DataManagerException exception) {
            fail("DataManagerException: " + exception);
        }

        event = new EmailDisplayRequestEvent(eventGenerator, message);
    }

    public void testGetMessage() {
        assertSame(message, event.getEntity());
    }
}