// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.constraint.EventConstraint;

import org.datamanager.event.EmailReplyRequestEvent;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.EventGenerator;
import org.datamanager.kernel.EventHandler;


public class EmailReplyRequestEventTester extends TestCase {
    Entity testEntity;
    EmailReplyRequestEvent event;

    /**
     * A useless EventGenerator.  We just need this to call the
     * EmailReplyRequestEvent constructor.
     */
    EventGenerator eventGenerator = new EventGenerator() {
        public void subscribe(EventHandler handler, EventConstraint constraint)
                       throws DataManagerException {
        }

        public void unsubscribe(EventHandler handler)
                         throws DataManagerException {
        }
    };

    public EmailReplyRequestEventTester(String string) {
        super(string);
    }

    public static Test suite() {
        return new TestSuite(EmailReplyRequestEventTester.class);
    }

    public void setUp() {
        try {
            testEntity = Entity.create("hi");
            event = new EmailReplyRequestEvent(eventGenerator, testEntity);
        } catch (DataManagerException exception) {
            throw new RuntimeException(exception);
        }
    }

    public void testGetMessageEntity() throws DataManagerException {
        assertEquals(testEntity, event.getEntity());
    }

    public void testEquals() throws DataManagerException {
        assertEquals(event, 
                     new EmailReplyRequestEvent(eventGenerator, testEntity));
    }

    public void testHashCode() throws DataManagerException {
        assertEquals(event.hashCode(), 
                     new EmailReplyRequestEvent(eventGenerator, testEntity).hashCode());
    }
}