// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import java.net.URL;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.constraint.EventConstraint;

import org.datamanager.event.LaunchBrowserWithURLEvent;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.EventGenerator;
import org.datamanager.kernel.EventHandler;


public class LaunchBrowserWithURLEventTester extends TestCase {
    static final String URL_STRING = "http://helium.knownspace.org/";
    LaunchBrowserWithURLEvent launchEvent1;
    LaunchBrowserWithURLEvent launchEvent2;
    URL url;

    /**
     * A useless EventGenerator.  We just need this to call the
     * LaunchBrowserWithURLEvent constructor.
     * FIXME: This should be factored out to a reusable class.
     */
    EventGenerator eventGenerator = new EventGenerator() {
        public void subscribe(EventHandler handler, EventConstraint constraint)
                       throws DataManagerException {
        }

        public void unsubscribe(EventHandler handler)
                         throws DataManagerException {
        }
    };

    public LaunchBrowserWithURLEventTester(String string) {
        super(string);
    }

    public static Test suite() {
        return new TestSuite(LaunchBrowserWithURLEventTester.class);
    }

    public void setUp() {
        try {
            url = new URL(URL_STRING);
            launchEvent1 = new LaunchBrowserWithURLEvent(eventGenerator, url);
            launchEvent2 = new LaunchBrowserWithURLEvent(eventGenerator, url);
        } catch (Exception exception) {
            throw new RuntimeException(exception);
        }
    }

    public void testGetURL() {
        assertEquals(url, launchEvent1.getURL());
        assertEquals(url, launchEvent2.getURL());
    }

    public void testEventEquals() {
        assertEquals(launchEvent1.getURL(), launchEvent2.getURL());
    }
}