// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.event;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.constraint.EventConstraint;

import org.datamanager.event.StoppedRetrievingEmailEvent;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.EventGenerator;
import org.datamanager.kernel.EventHandler;


public class StoppedRetrievingEmailEventTester extends TestCase {
    static final String DESCRIPTION = "imap://user@host/INBOX";
    StoppedRetrievingEmailEvent event;
    Entity message;

    /**
     * A useless EventGenerator.  We just need this to call the
     * StoppedRetrievingEmailEvent constructor.
     */
    EventGenerator eventGenerator = new EventGenerator() {
        public void subscribe(EventHandler handler, EventConstraint constraint)
                       throws DataManagerException {
        }

        public void unsubscribe(EventHandler handler)
                         throws DataManagerException {
        }
    };

    public StoppedRetrievingEmailEventTester(String string) {
        super(string);
    }

    public static Test suite() {
        return new TestSuite(StoppedRetrievingEmailEventTester.class);
    }

    public void setUp() {
        event = new StoppedRetrievingEmailEvent(eventGenerator, DESCRIPTION);
    }

    public void testGetDescription() {
        assertEquals(DESCRIPTION, event.getDescription());
    }
}