// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.kernel;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.constraint.EntityConstraint;

import org.datamanager.exception.DataManagerException;
import org.datamanager.exception.NoSuchEntityException;
import org.datamanager.exception.NoSuchIdentifierException;

import org.datamanager.passiveentityvalue.StringEntityValue;


public class CachingProxyEntityManagerTester extends JispEntityManagerTester {
    public final static String TEST_CLASS = "org.datamanager.kernel.CachingProxyEntityManager";

    public CachingProxyEntityManagerTester(String name) {
        super(name);
    }

    protected void setUp() {
        setEntityManagerProperty(TEST_CLASS);
        initializeVariables();
    }

    public static Test suite() {
        return new TestSuite(CachingProxyEntityManagerTester.class);
    }

    protected void tearDown() {
        resetEntityManagerProperty();
    }
}

/*
 *
 * $Log: CachingProxyEntityManagerTester.java,v $
 * Revision 1.3  2002/12/20 20:52:50  mliggett
 * Adding/modifying license tag on all source files.
 *
 * Revision 1.2  2002/12/05 11:55:08  alllee
 * Codebase-style.
 *
 * Revision 1.1  2002/12/05 03:10:37  mliggett
 * Added CachingProxyEntityManager with unit tests.  Right now it just passes
 * everything through to JispEntityManager, but this will change on the next
 * checkin.
 *
 * I also modified JispEntityManagerTester slightly so that I could make
 * CachingProxyEntityManagerTester inherit from it in order to reuse the code
 * in it.  I assume we consider this "good enough" style for unit tests
 * although we wouldn't want to do this in the rest of the code.
 *
 *
 */
