// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.kernel;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.datamanager.constraint.EntityConstraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Simpleton;

///////////////////////////////////////////////////////////////////////////////
// 2002-10-03 cam
// Created with testConstructor() and testObservation().
///////////////////////////////////////////////////////////////////////////////
import org.datamanager.kernel.SimpletonList;


public class SimpletonListTester extends TestCase {
    public SimpletonListTester(String string) {
        super(string);
    }

    public static Test suite() {
        return new TestSuite(SimpletonListTester.class);
    }

    public void testAdd() throws DataManagerException, InterruptedException {
        DataManagerWorker worker = new DataManagerWorker(new Simpleton() {
            public void process() {
                try {
                    SimpletonList simpletonList = new SimpletonList(
                                                          Pool.getDefaultPool());


                    // the list should start empty
                    assertEquals(0, simpletonList.count());


                    // add something and make sure it's there.
                    simpletonList.add(Simpleton.Information.NONE);
                    assertEquals(1, simpletonList.count());
                } catch (DataManagerException exception) {
                    fail(exception.toString());
                }
            }
        });
        worker.generateEvents(true);
        worker.start();
        worker.join();
    }
}