// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.kernel;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

///////////////////////////////////////////////////////////////////////////////
// 2002-10-03 cam
// Created with testInformationConstructor.
///////////////////////////////////////////////////////////////////////////////
import org.datamanager.kernel.Simpleton;


public class SimpletonTester extends TestCase {
    public SimpletonTester(String string) {
        super(string);
    }

    public static Test suite() {
        TestSuite suite = new TestSuite("SimpletonTester");
        suite.addTest(new SimpletonTester("testInformationConstructor"));

        return suite;
    }

    public void testInformationConstructor() {
        String[] authors = { "Jung, Carl Gustav", "Vader, Darth" };
        Simpleton.Information info = new Simpleton.Information("classname", 
                                                               "name", 
                                                               "shortDescription", 
                                                               "longDescription", 
                                                               "version", 
                                                               authors, false, 
                                                               false, null);

        assertEquals("classname", info.getClassName());
        assertEquals("name", info.getName());
        assertEquals("shortDescription", info.getShortDescription());
        assertEquals("longDescription", info.getLongDescription());
        assertEquals("version", info.getVersion());

        String[] gotAuthors = info.getAuthors();
        assertEquals(2, gotAuthors.length);
        assertEquals("Jung, Carl Gustav", gotAuthors[0]);
        assertEquals("Vader, Darth", gotAuthors[1]);
    }
}