// For licensing, see: http://helium.knownspace.org/license.html
package org.datamanager.test;

import org.datamanager.constraint.EntityConstraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.Simpleton;


public class ConstraintApplier {
    private boolean matched;

    public void setMatched(boolean matched) {
        this.matched = matched;
    }

    public boolean applyConstraint(final EntityConstraint constraint, 
                                   final Entity entity)
                            throws InterruptedException {
        Simpleton simpleton = new Simpleton() {
            public void process() {
                try {
                    setMatched(constraint.accepts(entity));
                    synchronized (this) {
                        this.notify();
                    }
                } catch (DataManagerException exception) {
                    throw new RuntimeException(exception);
                }
            }
        };
        synchronized (simpleton) {
            simpleton.start();
            simpleton.wait();
        }

        return matched;
    }
}

/*
 *
 * $Log: ConstraintApplier.java,v $
 * Revision 1.4  2002/12/20 20:52:56  mliggett
 * Adding/modifying license tag on all source files.
 *
 * Revision 1.3  2002/11/13 08:26:23  cjdent
 *
 * Codebase style.
 *
 * We need to decide if it is in or out. Most people don't seem to be
 * running codebase style before they commit.
 *
 * Revision 1.2  2002/11/07 04:51:44  mliggett
 * Modified tests to use ConstraintApplier.
 *
 * Revision 1.1  2002/11/07 04:49:01  mliggett
 * Factored the applyConstraint() functionality out of the other constraint unit
 * tests.
 *
 *
 */
